import Styles from "@/constants/Styles";
import { apiGetTaskOne } from "@/lib/api";
import { useAuthSession } from "@/providers/AuthProvider";
import { useTheme } from "@/providers/ThemeProvider";
import { useLocalSearchParams } from "expo-router";
import { useEffect, useState } from "react";
import { View } from "react-native";
import { useSelector } from "react-redux";
import Text from "../Text";
import TextExpandable from "../textExpandable";


export default function SectionReportTask({ refreshing }: { refreshing: boolean }) {
   const { colors } = useTheme()
   const update = useSelector((state: any) => state.taskUpdate)
   const { token, decryptToken } = useAuthSession()
   const { id, detail } = useLocalSearchParams<{ id: string, detail: string }>();
   const [data, setData] = useState('')

   async function handleLoad() {
      try {
         const hasil = await decryptToken(String(token?.current))
         const response = await apiGetTaskOne({ id: detail, user: hasil, cat: 'data' })
         setData(response.data.report)
      } catch (error) {
         console.error(error)
      }
   }

   useEffect(() => {
      handleLoad()
   }, [update.report])

   useEffect(() => {
      if (refreshing)
         handleLoad();
   }, [refreshing]);


   return (
      <>
         {
            data != "" && data != null &&
            <View style={[Styles.mb15, Styles.mt10]}>
               <Text style={[Styles.textDefaultSemiBold, Styles.mv05]}>
                  Laporan Kegiatan
               </Text>
               <View style={[Styles.wrapPaper, { backgroundColor: colors.card, borderColor: colors.background }]}>
                  <TextExpandable content={data} maxLines={2} />
               </View>
            </View>
         }
      </>
   )
}